export interface PropertiesSchema {
  levelEvents: LevelEventSpec[]
}

export interface LevelEventSpec {
  name: string
  executionTime: string
  properties: LevelEventProperty[]
}

export interface LevelEventProperty {
  name: string
  type: string
  default: unknown // type bound to type property
  min?: unknown // type bound to type property
  max?: unknown // type bound to type property
  unit?: string
  disableIf?: string[]
  affectsFloors?: boolean
}
